<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\KursVorschlag\Einstieg;

class EinstiegController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new EinstiegUseCase(
      $this->getRequestObj()
    );
  }

  
  protected function getRequestObj()
  {
    return new \Kufer\Web\KuferTools\Mitarbeiter\KursVorschlag\Einstieg\EinstiegRequest();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return null;
  }

  protected function getControllerToForward($pUseCaseResponse)
  {
    if ($pUseCaseResponse->zeigeKursvorschlagUebersicht) {
      return new \Kufer\Web\KuferTools\Mitarbeiter\KursVorschlag\KursvorschlagUebersicht\KursVorschlagUebersichtController();
    } else {
      return new \Kufer\Web\KuferTools\Mitarbeiter\KursVorschlag\KursVorschlag\KursVorschlagFormularController();
    }
  }
}